% Comparison of inner product estimate:

% theta = 15, 45, 90, 135 ,165
%   m1   =   m2
%  0.1m1 =   m2
%  0.5m1 =   m2
%  2m1   =   m2 
% 10m1   =   m2

% Gen vector
% 15:  pi/12
% 45:  pi/4
% 90:  pi/2
% 135: 3pi/4
% 165: 11pi/12

m1vec = [1 0.1 0.5 2 10];
pivals = [pi/12, pi/4, pi/2, 3*pi/4, 11*pi/12];
f2cell = cell(1,5);
f2cell{1} = '1_1';
f2cell{2} = '01_1';
f2cell{3} = '05_1';
f2cell{4} = '2_1';
f2cell{5} = '10_1';

f1cell = cell(1,5);
f1cell{1} = 'pi_12';
f1cell{2} = 'pi_4';
f1cell{3} = 'pi_2';
f1cell{4} = '3pi_4';
f1cell{5} = '11pi_12';
m2 = 1;

rng(10)
% This finds estimates for all
for lenvecz = 1:5
	m1 = m1vec(lenvecz);
	m1m2 = m1*m2;
	f2str = f2cell{lenvecz};
	for anglevez = 1:5
		f1str = f1cell{anglevez};
		[X] = gen_artificial_vector(100000, pivals(anglevez), m1);
		['FH_estimates_', f1str, '_', f2str , '.mat']
		compute_all_FH_estimates(X, m1, m2, m1m2, ['FH_estimates_', f1str, '_', f2str , '.mat'])
	end
end


